:root {
  --primary-orange: #ff6700;
  --secondary-orange: #ffa200;
  --ff-fjalla: "Foldit";
}

/* Utility Classes*/
.bg1 {
  background-color: #060709;
}

.bg2 {
  background: hsl(180, 16%, 96%);
}

.bg3 {
  background: var(--primary-orange);
}

.color1 {
  color: var(--primary-orange);
}

.color2 {
  color: #c0c0c0;
}

.color3 {
  color: white;
}

.color4 {
  color: var(--secondary-orange);
}

.center {
  display: flex;
  justify-content: center;
  align-items: center;
}

.fs-60px {
  font-size: 60px;
}

.fs-30px {
  font-size: 30px;
}

.fs-38px {
  font-size: 38px;
}

.ff-sign {
  font-family: "Signika Negative", sans-serif;
}

.fw-400 {
  font-weight: 400;
}

.fw-500 {
  font-weight: 500;
}

.fw-600 {
  font-weight: 600;
}

.mb-1 {
  margin-block: 1rem;
}

.mb-2 {
  margin-block: 2rem;
}

.mi-1 {
  margin-inline: 1rem;
}

.mi-2 {
  margin-inline: 2rem;
}

.pi-1 {
  padding-inline: 1rem;
}

A {
  text-decoration: none;
}

p {
  line-height: 1.8rem;
  word-spacing: 0.3rem;
}

.text-center {
  text-align: center;
}

#block {
  display: block;
}

/*------MAIN------*/
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  position: relative;
}

body {
  min-height: 100vh;
  max-width: 100vw;
  font-family: "Raleway", sans-serif;
  margin: 0;
  padding: 0 10rem;
  scroll-behavior: smooth;
}

.c-site-header {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.nav {
  height: 6rem;
  min-width: 100%;
  left: 0;
  margin: 0;
  background: black;
  box-shadow: 5px 5px 40px 40px black;
  z-index: 1;
}

.logo {
  height: 3.2rem;
  margin: 1rem;
}

.intro {
  position: relative;
  display: flex;
  justify-content: space-evenly;
  gap: 10rem;
  min-height: 40rem;
  width: 100%;
  margin-top: 5rem;
}

.text {
  width: 50%;
  position: relative;
  display: block;
  height: 100% auto;
  padding-top: 4rem;
}

.adniya {
  position: relative;
  display: flex;
  font-family: "Raleway", sans-serif;
  height: 9rem;
  width: 100%;
}

.adniya::after {
  position: absolute;
  content: "Software Developer";
  color: #262424;
  top: 4rem;
  left: 0;
  font-size: 50px;
  font-weight: 900;
  z-index: 1000;
}

.typewriter {
  width: 1ch;
  white-space: nowrap;
  overflow: hidden;
  border-right: 4px solid white;
  animation: cursor 1s step-start infinite, text 4s steps(18) alternate infinite;
}

@keyframes cursor {

  0%,
  100% {
    height: 5rem;
    border-color: white;
  }
}

@keyframes text {
  0% {
    width: 0;
  }

  100% {
    width: 6ch;
  }
}

.dot {
  font-size: 30px;
  color: var(--primary-orange) 0;
}

.intro-p {
  padding-bottom: 3rem;
  transform-origin: 100%;
  transform: translateX(-1%);
  transition: 1s ease-in;
  text-align: justify;
}

.profile-pic {
  position: relative;
  cursor: pointer;
  height: 27rem;
  width: 20rem;
  opacity: 0.9;
  animation: scale 2s forwards;
  transition: 1s ease-in-out;
  margin-top: 2rem;
  border-radius: 50%;
  box-shadow: 10px 10px 10px rgba(0, 0, 0, 0.556) inset;
}

.profile-pic:hover {
  opacity: 1;
}

@keyframes scale {
  0% {
    transform: scale(0.9);
  }

  100% {
    transform: scale(1);
  }
}

.text-link:hover {
  transform: translateX(0%);
  font-weight: 700;
}

main {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 5rem;
}

.about-section {
  min-height: 30rem;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
}

.about-heading {
  display: flex;
  flex: 35%;
  flex-direction: column;
  margin-right: 2rem;
  color: white;
}

.about-col {
  display: flex;
}

.skills {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2rem;
  width: 100%;
  min-height: 25rem;
  align-items: center;
}

.skills-svg {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  column-gap: 6rem;
  row-gap: 1rem;
}

.skills svg:hover {
  cursor: pointer;
  box-shadow: 0px 1px 13px #2b2a2a;
}

.about-detail {
  flex: 50%;
  text-align: justify;
  font-size: 20px;
}

.skills-detail p::first-letter {
  color: var(--secondary-orange);
  font-size: 27px;
  font-family: "Times New Roman", Times, serif;
}

.animate {
  animation: animate-fade 1s linear backwards;
}

@keyframes animate-fade {
  0% {
    opacity: 0;
  }

  25% {
    opacity: 0.03;
  }

  50% {
    opacity: 0.05;
  }

  75% {
    opacity: 0.07;
  }

  85% {
    opacity: 0.09;
  }

  100% {
    opacity: 0.1;
  }
}

.text-link {
  position: relative;
  font-size: 14px;
  font-weight: 600;
  letter-spacing: 0.3rem;
  padding-inline: 1rem;
  height: 5rem;
}

.text-link::before {
  position: absolute;
  content: " ";
  height: 4rem;
  width: 4rem;
  background: #ffa200e7;
  z-index: -1;
  left: -0.01rem;
  top: -1.5rem;
  border-radius: 150px;
  transform-origin: 0%;
  transform: translateX(0%);
  transition: transform 1s ease;
}

.text-link:hover::before {
  transform: translateX(170%);
}

/* Education */
.projects-section {
  width: 100%;
  height: 50rem auto;
}

.projects {
  display: grid;
  gap: 10rem;
  align-items: center;
}

.projects-heading {
  position: relative;
  height: 5rem;
  width: 100%;
  margin-block: 3rem;
  font-size: 40px;
  text-align: center;
}

.projects-heading::before {
  position: absolute;
  content: " ";
  height: 0.5rem;
  width: 2rem;
  top: 3rem;
  left: 42.5%;
  background-color: var(--secondary-orange);
  animation: circle 2s alternate 1s infinite;
}

@keyframes circle {
  from {
    transform: translateX(0%);
  }

  to {
    transform: translateX(500%);
  }
}

.card {
  position: relative;
  display: flex;
  height: 30rem;
  width: 100%;
}

.card-detail {
  display: grid;
  width: 60%;
  height: 100%;
  z-index: 1000;
}

.project-description {
  height: auto;
  display: grid;
  justify-content: center;
  align-items: center;
  background-color: #1d100198;
}

.img-links {
  position: absolute;
  right: 0;
  width: 35rem;
  height: 100%;
  display: grid;
  z-index: -1;
}

.project-img {
  opacity: 0.5;
  height: 30rem;
  width: 100%;
  background: url("/asset/tv-show.png") no-repeat;
  background-position: top;
  background-size: cover;
}

.project2-img {
  opacity: 0.5;
  height: 30rem;
  width: 100%;
  background: url("/asset/vedioRecommendation.png") no-repeat;
  background-position: top;
  background-size: cover;
}

.project3-img {
  opacity: 0.5;
  height: 30rem;
  width: 100%;
  background: url("/asset/screencapture-localhost-5173-2024-05-21-14_42_49.png") no-repeat;
  background-position: top;
  background-size: cover;
}

.project-img:hover,
.project2-img:hover {
  opacity: 1;
}

.project-icon {
  height: 5rem;
  display: flex;
  justify-content: flex-start;
  align-items: flex-end;
  gap: 2rem;
  padding-top: 2rem;
}

.project-icon a i {
  cursor: pointer;
  transition: 1s ease;
  font-size: 2rem;
  color: white;
  transform: scale(1);
}

.project-icon a i:hover {
  transform: scale(1.1);
  color: var(--secondary-orange);
}

.list-lang {
  display: flex;
  flex-wrap: wrap;
  list-style: none;
  gap: 1rem;
  margin-top: 2rem;
}

/* Contact Section */
.contact-section {
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  height: 30rem;
  gap: 1rem;
  width: 100%;
}

.contact {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  gap: 1rem;
}

.form {
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  align-items: center;
  width: 60%;
}

.input-label {
  display: flex;
  flex-direction: column;
  margin-block: 1rem;
  width: 100%;
}

.label {
  word-spacing: 0.7rem;
  font-size: 1rem;
  margin-bottom: 1rem;
}

.input {
  background: transparent;
  border-top: 0px;
  border-left: 0px;
  border-right: 0px;
  border-bottom: 1px solid gray;
  font-size: 20px;
  width: 100%;
  color: white;
}

.input:active,
.input:focus {
  outline: none;
  border-bottom: 1px solid var(--primary-orange);
}

.button {
  cursor: pointer;
  width: 20%;
  height: 3rem;
  color: white;
  font-size: 1.2rem;
  border: 1px solid var(--secondary-orange);
  margin-top: 2rem;
  background: none;
  transition: box-shadow 150ms ease-in-out;
}

.button:hover {
  background: none;
  box-shadow: 0 0 10px 0 var(--secondary-orange) inset,
    0 0 10px 4px var(--secondary-orange);
}

.contact-description {
  height: 80%;
  font-size: 1.1rem;
  display: grid;
  justify-content: flex-start;
  align-content: space-between;
  padding-left: 2rem;
  border-left: 2px solid var(--secondary-orange);
}

#msg {
  display: none;
}

.c-site-footer {
  display: flex;
  align-items: end;
  justify-content: center;
  height: 5rem;
  margin-top: 5rem;
  color: #c0c0c0;
}

.contact-icons {
  display: flex;
  height: 3rem;
  width: 13rem;
  font-size: 30px;
}

.contact-icons i {
  height: 4rem;
  width: 4rem;
  color: white;
  transform: scale(1);
  transition: 1s ease;
}

.contact-icons i:hover {
  color: var(--secondary-orange);
  cursor: pointer;
  transform: scale(1.2);
}

.textarea {
  color: white;
  background-color: #060709;
}

/* Responsiveness for tablets */

@media (min-width: 400px) and (max-width: 900px) {
  body {
    padding: 2rem;
  }

  .intro {
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  main {
    padding-inline: 2rem;
    align-content: space-evenly;
  }

  .text {
    width: 100%;
  }

  .about-col {
    display: grid;
    gap: 5rem;
  }

  .skills {
    display: flex;
    flex-direction: column;
  }

  .skills-svg {
    width: 100%;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 1rem;
  }

  .projects {
    width: 100%;
  }

  .card {
    height: auto;
    flex-direction: column;
    align-items: center;
    gap: 3rem;
    margin: 0;
    padding: 0;
  }

  .card-detail {
    width: 100%;
    gap: 2rem;
  }

  .img-links {
    width: 100%;
    position: relative;
  }

  .project-img,
  .project2-img,
  .project3-img {
    width: 100%;
  }

  .contact-section {
    margin-top: 5rem;
    height: aut o;
  }

  .contact {
    height: auto;
    gap: 5rem;
    flex-direction: column;
  }

  .contact-description {
    height: 20rem;
    padding-right: 10rem;
  }

  .form {
    width: 100%;
  }
        .love-me-tender-video {
          width: 98%;
          height: auto;
        }

}

/* Responsiveness for small screens */
@media only screen and (max-width: 400px) {
  body {
    width: 100vw;
    padding: 1rem;
  }


  main {
    margin: 0;
    padding: 0;
  }

  .intro {
    flex-direction: column;
    align-items: center;
  }

  .text {
    width: 100%;
  }

  .about-section {
    width: 100%;
    padding: 0;
    flex-direction: column;
  }

  .about-col {
    flex-direction: column;
    align-items: center;
  }

  .skills {
    grid-template-columns: 1fr;
  }

  .skills-svg {
    width: 100%;
    height: auto;
    grid-template-columns: repeat(2, 1fr);
  }

  .card {
    width: 100%;
    height: auto;
    flex-direction: column;
    align-items: center;
    gap: 3rem;
    margin: 0;
    padding: 0;
  }

  .card-detail {
    width: 100%;
    gap: 2rem;
  }

  .img-links {
    width: 100%;
    position: relative;
  }

  .project-img,
  .project2-img,
  .project3-img {
    width: 100%;
  }

  .contact-section {
    margin-top: 5rem;
    height: auto;
  }

  .contact {
    height: auto;
    gap: 5rem;
    flex-direction: column;
  }
    .love-me-tender-video {
      width: 98%;
      height: auto;
    }
}

@media (min-width: 900px) and (max-width: 1225px) {
  body {
    padding-inline: 5rem;
  }

  .intro {
    gap: 0rem;
  }

  .text {
    min-width: 20rem;
  }
}
